
Foreman - Refactor #32583

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Mandatory setting type

05/11/2021 09:50 PM - Ondřej Ezr

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Setting is guessing the type of the value based on it's default value, but it has it's drawbacks and it doesn't hurt to be specific about

that.

Related issues:

Is duplicate of Foreman - Refactor #32894: Add strong typing to Setting DSL Closed

History

#1 - 07/07/2021 02:35 PM - Ondřej Ezr

- Is duplicate of Refactor #32894: Add strong typing to Setting DSL added

#2 - 07/07/2021 02:35 PM - Ondřej Ezr

- Status changed from New to Duplicate

#3 - 07/07/2021 02:37 PM - Ondřej Ezr

Types are mandatory now. This was implemented directly #32894
